﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default4.aspx.cs" Inherits="Default4" %>

<%@ Register Assembly="C1.Web.iPhone.4" Namespace="C1.Web.iPhone.C1ViewPort" TagPrefix="C1ViewPort" %>
<%@ Register Assembly="C1.Web.iPhone.4" Namespace="C1.Web.iPhone.C1NavigationList"
    TagPrefix="C1NavigationList" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Expand/Collapse C1NavigationListGroupItem</title>
    <script type="text/javascript">

        function appendChildren(args) {
            $(".C1GroupItem").append("<span class=C1BottomTextNode>Expanded</span>");
            $(".C1GroupItem").find("span.C1BottomTextNode").each(function () {
                $(this).css('visibility', 'hidden');
            });
        }

        $(document).ready(function () {

            appendChildren();

            $("li.C1GroupItem > span.C1TextNode").click(function () {

                var bottomText = $(this).parent().children('span.C1BottomTextNode')[0].innerHTML;
                if (bottomText == 'Expanded') {
                    $(this).parent().find(".C1ListItem").each(function () {
                        $(this).slideUp(200);
                    });
                    $(this).parent().children('span.C1BottomTextNode')[0].innerHTML = "Collapsed";
                }
                else if (bottomText == 'Collapsed') {
                    $(this).parent().find(".C1ListItem").each(function () {
                        $(this).slideDown(800);
                    });
                    $(this).parent().children('span.C1BottomTextNode')[0].innerHTML = "Expanded";
                }
            });
        });        
            
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <C1ViewPort:C1ViewPort ID="C1ViewPort1" runat="server">
            <Content>
                <C1NavigationList:C1NavigationList ID="C1NavigationList1" runat="server">
                    <Items>
                        <C1NavigationList:C1NavigationListGroupItem ID="C1NavigationListGroupItem1" runat="server"
                            Text="GroupItem1">
                            <Items>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem1" runat="server"
                                    Text="ListItem1">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem2" runat="server"
                                    Text="ListItem2">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem3" runat="server"
                                    Text="ListItem3">
                                </C1NavigationList:C1NavigationListItem>
                            </Items>
                        </C1NavigationList:C1NavigationListGroupItem>
                        <C1NavigationList:C1NavigationListGroupItem ID="C1NavigationListGroupItem2" runat="server"
                            Text="GroupItem2">
                            <Items>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem4" runat="server"
                                    Text="ListItem4">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem5" runat="server"
                                    Text="ListItem5">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem6" runat="server"
                                    Text="ListItem6">
                                </C1NavigationList:C1NavigationListItem>
                            </Items>
                        </C1NavigationList:C1NavigationListGroupItem>
                        <C1NavigationList:C1NavigationListGroupItem ID="C1NavigationListGroupItem3" runat="server"
                            Text="GroupItem3">
                            <Items>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem7" runat="server"
                                    Text="ListItem7">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem8" runat="server"
                                    Text="ListItem8">
                                </C1NavigationList:C1NavigationListItem>
                                <C1NavigationList:C1NavigationListItem ID="C1NavigationListItem9" runat="server"
                                    Text="ListItem19">
                                </C1NavigationList:C1NavigationListItem>
                            </Items>
                        </C1NavigationList:C1NavigationListGroupItem>
                    </Items>
                </C1NavigationList:C1NavigationList>
            </Content>
        </C1ViewPort:C1ViewPort>
    </div>
    </form>
</body>
</html>
